/**************************************************************************
*  Original Diku Mud copyright (C) 1990, 1991 by Sebastian Hammer,        *
*  Michael Seifert, Hans Henrik St{rfeldt, Tom Madsen, and Katja Nyboe.   *
*                                                                         *
*  Merc Diku Mud improvements copyright (C) 1992, 1993 by Michael         *
*  Chastain, Michael Quan, and Mitchell Tse.                              *
*                                                                         *
*  In order to use any part of this Merc Diku Mud, you must comply with   *
*  both the original Diku license in 'license.doc' as well the Merc       *
*  license in 'license.txt'.  In particular, you may not remove either of *
*  these copyright notices.                                               *
*                                                                         *
*  Much time and thought has gone into this software and you are          *
*  benefiting.  We hope that you share your changes too.  What goes       *
*  around, comes around.                                                  *
***************************************************************************
*       ROM 2.4 is copyright 1993-1998 Russ Taylor                        *
*       ROM has been brought to you by the ROM consortium                 *
*           Russ Taylor (rtaylor@hypercube.org)                           *
*           Gabrielle Taylor (gtaylor@hypercube.org)                      *
*           Brian Moore (zump@rom.org)                                    *
*       By using this code, you have agreed to follow the terms of the    *
*       ROM license, in the file Rom24/doc/rom.license                    *
***************************************************************************
*       1stMUD ROM Derivative (c) 2001-2003 by Ryan Jennings              *
*            http://1stmud.dlmud.com/  <r-jenn@shaw.ca>                   *
***************************************************************************/
#if !defined(GSN_H)
#define GSN_H

#if defined(IN_DB_C)
#if defined(GSN)
#undef GSN
#endif
#define	GSN(gsn) int gsn;

#else
#if defined(GSN)
#undef GSN
#endif
#if defined(MAKE_GSN_TABLE)
#define    GSN(gsn) { #gsn, &gsn },
#else
#define	GSN(gsn) EXTERN int gsn;
#endif
#endif

/*
 * These are skill_lookup return values for common skills and spells.
 */
// *INDENT-OFF*
GSN (gsn_null)
GSN (gsn_backstab)
GSN (gsn_dodge)
GSN (gsn_envenom)
GSN (gsn_hide)
GSN (gsn_peek)
GSN (gsn_pick_lock)
GSN (gsn_sneak)
GSN (gsn_steal)

GSN (gsn_disarm)
GSN (gsn_enhanced_damage)
GSN (gsn_kick)
GSN (gsn_parry)
GSN (gsn_rescue)
GSN (gsn_second_attack)
GSN (gsn_third_attack)

GSN (gsn_blindness)
GSN (gsn_charm_person)
GSN (gsn_curse)
GSN (gsn_invis)
GSN (gsn_mass_invis)
GSN (gsn_plague)
GSN (gsn_poison)
GSN (gsn_sleep)
GSN (gsn_fly)
GSN (gsn_sanctuary)

/* new gsns */
GSN (gsn_axe)
GSN (gsn_dagger)
GSN (gsn_flail)
GSN (gsn_mace)
GSN (gsn_polearm)
GSN (gsn_shield_block)
GSN (gsn_spear)
GSN (gsn_sword)
GSN (gsn_whip)

GSN (gsn_bash)
GSN (gsn_berserk)
GSN (gsn_dirt)
GSN (gsn_hand_to_hand)
GSN (gsn_trip)

GSN (gsn_fast_healing)
GSN (gsn_haggle)
GSN (gsn_lore)
GSN (gsn_meditation)

GSN (gsn_scrolls)
GSN (gsn_staves)
GSN (gsn_wands)
GSN (gsn_recall)
GSN (gsn_hunt)
// *INDENT-ON*

#endif
