/**************************************************************************
*  Original Diku Mud copyright (C) 1990, 1991 by Sebastian Hammer,        *
*  Michael Seifert, Hans Henrik St{rfeldt, Tom Madsen, and Katja Nyboe.   *
*                                                                         *
*  Merc Diku Mud improvements copyright (C) 1992, 1993 by Michael         *
*  Chastain, Michael Quan, and Mitchell Tse.                              *
*                                                                         *
*  In order to use any part of this Merc Diku Mud, you must comply with   *
*  both the original Diku license in 'license.doc' as well the Merc       *
*  license in 'license.txt'.  In particular, you may not remove either of *
*  these copyright notices.                                               *
*                                                                         *
*  Much time and thought has gone into this software and you are          *
*  benefiting.  We hope that you share your changes too.  What goes       *
*  around, comes around.                                                  *
***************************************************************************
*       ROM 2.4 is copyright 1993-1998 Russ Taylor                        *
*       ROM has been brought to you by the ROM consortium                 *
*           Russ Taylor (rtaylor@hypercube.org)                           *
*           Gabrielle Taylor (gtaylor@hypercube.org)                      *
*           Brian Moore (zump@rom.org)                                    *
*       By using this code, you have agreed to follow the terms of the    *
*       ROM license, in the file Rom24/doc/rom.license                    *
***************************************************************************
*       1stMUD ROM Derivative (c) 2001-2003 by Ryan Jennings              *
*            http://1stmud.dlmud.com/  <r-jenn@shaw.ca>                   *
***************************************************************************/
#if defined(MAGIC_FUN)
#undef MAGIC_FUN
#endif
#if defined(MAKE_SPELL_TABLE)
#define    MAGIC_FUN(fun)  { #fun, fun },
#else
#define    MAGIC_FUN(fun)  DECLARE_SPELL_FUN(fun);
#endif

// *INDENT-OFF*
MAGIC_FUN (spell_null)
MAGIC_FUN (spell_acid_blast)
MAGIC_FUN (spell_armor)
MAGIC_FUN (spell_bless)
MAGIC_FUN (spell_blindness)
MAGIC_FUN (spell_burning_hands)
MAGIC_FUN (spell_call_lightning)
MAGIC_FUN (spell_calm)
MAGIC_FUN (spell_cancellation)
MAGIC_FUN (spell_cause_critical)
MAGIC_FUN (spell_cause_light)
MAGIC_FUN (spell_cause_serious)
MAGIC_FUN (spell_change_sex)
MAGIC_FUN (spell_chain_lightning)
MAGIC_FUN (spell_charm_person)
MAGIC_FUN (spell_chill_touch)
MAGIC_FUN (spell_colour_spray)
MAGIC_FUN (spell_continual_light)
MAGIC_FUN (spell_control_weather)
MAGIC_FUN (spell_create_food)
MAGIC_FUN (spell_create_rose)
MAGIC_FUN (spell_create_spring)
MAGIC_FUN (spell_create_water)
MAGIC_FUN (spell_cure_blindness)
MAGIC_FUN (spell_cure_critical)
MAGIC_FUN (spell_cure_disease)
MAGIC_FUN (spell_cure_light)
MAGIC_FUN (spell_cure_poison)
MAGIC_FUN (spell_cure_serious)
MAGIC_FUN (spell_curse)
MAGIC_FUN (spell_demonfire)
MAGIC_FUN (spell_detect_evil)
MAGIC_FUN (spell_detect_good)
MAGIC_FUN (spell_detect_hidden)
MAGIC_FUN (spell_detect_invis)
MAGIC_FUN (spell_detect_magic)
MAGIC_FUN (spell_detect_poison)
MAGIC_FUN (spell_dispel_evil)
MAGIC_FUN (spell_dispel_good)
MAGIC_FUN (spell_dispel_magic)
MAGIC_FUN (spell_earthquake)
MAGIC_FUN (spell_enchant_armor)
MAGIC_FUN (spell_enchant_weapon)
MAGIC_FUN (spell_energy_drain)
MAGIC_FUN (spell_faerie_fire)
MAGIC_FUN (spell_faerie_fog)
MAGIC_FUN (spell_farsight)
MAGIC_FUN (spell_fireball)
MAGIC_FUN (spell_fireproof)
MAGIC_FUN (spell_flamestrike)
MAGIC_FUN (spell_floating_disc)
MAGIC_FUN (spell_fly)
MAGIC_FUN (spell_frenzy)
MAGIC_FUN (spell_gate)
MAGIC_FUN (spell_giant_strength)
MAGIC_FUN (spell_harm)
MAGIC_FUN (spell_haste)
MAGIC_FUN (spell_heal)
MAGIC_FUN (spell_heat_metal)
MAGIC_FUN (spell_holy_word)
MAGIC_FUN (spell_identify)
MAGIC_FUN (spell_infravision)
MAGIC_FUN (spell_invis)
MAGIC_FUN (spell_know_alignment)
MAGIC_FUN (spell_lightning_bolt)
MAGIC_FUN (spell_locate_object)
MAGIC_FUN (spell_magic_missile)
MAGIC_FUN (spell_mass_healing)
MAGIC_FUN (spell_mass_invis)
MAGIC_FUN (spell_nexus)
MAGIC_FUN (spell_pass_door)
MAGIC_FUN (spell_plague)
MAGIC_FUN (spell_poison)
MAGIC_FUN (spell_portal)
MAGIC_FUN (spell_protection_evil)
MAGIC_FUN (spell_protection_good)
MAGIC_FUN (spell_ray_of_truth)
MAGIC_FUN (spell_recharge)
MAGIC_FUN (spell_refresh)
MAGIC_FUN (spell_remove_curse)
MAGIC_FUN (spell_sanctuary)
MAGIC_FUN (spell_shocking_grasp)
MAGIC_FUN (spell_shield)
MAGIC_FUN (spell_sleep)
MAGIC_FUN (spell_slow)
MAGIC_FUN (spell_stone_skin)
MAGIC_FUN (spell_summon)
MAGIC_FUN (spell_teleport)
MAGIC_FUN (spell_ventriloquate)
MAGIC_FUN (spell_weaken)
MAGIC_FUN (spell_word_of_recall)
MAGIC_FUN (spell_acid_breath)
MAGIC_FUN (spell_fire_breath)
MAGIC_FUN (spell_frost_breath)
MAGIC_FUN (spell_gas_breath)
MAGIC_FUN (spell_lightning_breath)
MAGIC_FUN (spell_general_purpose)
MAGIC_FUN (spell_high_explosive)
MAGIC_FUN (spell_trivia_pill)
// *INDENT-ON*
