/**************************************************************************
*  Original Diku Mud copyright (C) 1990, 1991 by Sebastian Hammer,        *
*  Michael Seifert, Hans Henrik St{rfeldt, Tom Madsen, and Katja Nyboe.   *
*                                                                         *
*  Merc Diku Mud improvements copyright (C) 1992, 1993 by Michael         *
*  Chastain, Michael Quan, and Mitchell Tse.                              *
*                                                                         *
*  In order to use any part of this Merc Diku Mud, you must comply with   *
*  both the original Diku license in 'license.doc' as well the Merc       *
*  license in 'license.txt'.  In particular, you may not remove either of *
*  these copyright notices.                                               *
*                                                                         *
*  Much time and thought has gone into this software and you are          *
*  benefiting.  We hope that you share your changes too.  What goes       *
*  around, comes around.                                                  *
***************************************************************************
*       ROM 2.4 is copyright 1993-1998 Russ Taylor                        *
*       ROM has been brought to you by the ROM consortium                 *
*           Russ Taylor (rtaylor@hypercube.org)                           *
*           Gabrielle Taylor (gtaylor@hypercube.org)                      *
*           Brian Moore (zump@rom.org)                                    *
*       By using this code, you have agreed to follow the terms of the    *
*       ROM license, in the file Rom24/doc/rom.license                    *
***************************************************************************
*       1stMUD ROM Derivative (c) 2001-2003 by Ryan Jennings              *
*            http://1stmud.dlmud.com/  <r-jenn@shaw.ca>                   *
***************************************************************************/

#if !defined(WINSTUFF_H)
#define WINSTUFF_H

/* Win32 stuff 	*/

#if defined (WIN32)
#include <windows.h>

typedef int socklen_t;

#define bzero(block, size)	memset(block, 0, size);
#define bcopy( from, to, size) memcpy(to, from, size )
#define write( fd, buf, count ) send(fd, buf, count, 0)
#define read( fd, buf, count )  recv(fd, buf, count, 0)
#define vsnprintf	_vsnprintf
#define snprintf	_snprintf
#define vsnprintf	_vsnprintf
#define close       closesocket
#define random()	 rand()
#define srandom( x ) srand( x )
#define STDERR_FILENO   fileno(stderr)
#define S_ISREG(mode)   ((mode) & S_IFREG)
#define S_ISDIR(mode)   ((mode) & S_IFDIR)

struct dirent { char d_name[1]; };

int strncasecmp (const char *s1, const char *s2, size_t n);
int strcasecmp (const char *s1, const char *s2);
int scandir(const char *dirname, struct dirent ***namelist,
    int (*select)(struct dirent *),
    int (*compar)(struct dirent **, struct dirent **));
int alphasort (struct dirent **a, struct dirent **b);

#endif

#endif
