/**************************************************************************
*  Original Diku Mud copyright (C) 1990, 1991 by Sebastian Hammer,        *
*  Michael Seifert, Hans Henrik St{rfeldt, Tom Madsen, and Katja Nyboe.   *
*                                                                         *
*  Merc Diku Mud improvements copyright (C) 1992, 1993 by Michael         *
*  Chastain, Michael Quan, and Mitchell Tse.                              *
*                                                                         *
*  In order to use any part of this Merc Diku Mud, you must comply with   *
*  both the original Diku license in 'license.doc' as well the Merc       *
*  license in 'license.txt'.  In particular, you may not remove either of *
*  these copyright notices.                                               *
*                                                                         *
*  Much time and thought has gone into this software and you are          *
*  benefiting.  We hope that you share your changes too.  What goes       *
*  around, comes around.                                                  *
***************************************************************************
*       ROM 2.4 is copyright 1993-1998 Russ Taylor                        *
*       ROM has been brought to you by the ROM consortium                 *
*           Russ Taylor (rtaylor@hypercube.org)                           *
*           Gabrielle Taylor (gtaylor@hypercube.org)                      *
*           Brian Moore (zump@rom.org)                                    *
*       By using this code, you have agreed to follow the terms of the    *
*       ROM license, in the file Rom24/doc/rom.license                    *
***************************************************************************
*       1stMUD ROM Derivative (c) 2001-2003 by Ryan Jennings              *
*            http://1stmud.dlmud.com/  <r-jenn@shaw.ca>                   *
***************************************************************************/
#if defined(COMMAND_FUN)
#undef COMMAND_FUN
#endif
#if defined(MAKE_COMMAND_TABLE)
#define COMMAND_FUN(fun)    { #fun, fun },
#else
#define COMMAND_FUN(fun)    DECLARE_DO_FUN(fun);
#endif

// *INDENT-OFF*
COMMAND_FUN (do_advance)
COMMAND_FUN (do_affects)
COMMAND_FUN (do_afk)
COMMAND_FUN (do_alia)
COMMAND_FUN (do_alias)
COMMAND_FUN (do_allow)
COMMAND_FUN (do_answer)
COMMAND_FUN (do_areas)
COMMAND_FUN (do_at)
COMMAND_FUN (do_auction)
COMMAND_FUN (do_autoassist)
COMMAND_FUN (do_autoexit)
COMMAND_FUN (do_autogold)
COMMAND_FUN (do_autolist)
COMMAND_FUN (do_autoloot)
COMMAND_FUN (do_autosac)
COMMAND_FUN (do_autosplit)
COMMAND_FUN (do_backstab)
COMMAND_FUN (do_bamfin)
COMMAND_FUN (do_bamfout)
COMMAND_FUN (do_ban)
COMMAND_FUN (do_bash)
COMMAND_FUN (do_berserk)
COMMAND_FUN (do_brandish)
COMMAND_FUN (do_brief)
COMMAND_FUN (do_bug)
COMMAND_FUN (do_buy)
COMMAND_FUN (do_cast)
COMMAND_FUN (do_channels)
COMMAND_FUN (do_clone)
COMMAND_FUN (do_close)
COMMAND_FUN (do_commands)
COMMAND_FUN (do_combine)
COMMAND_FUN (do_compact)
COMMAND_FUN (do_compare)
COMMAND_FUN (do_consider)
COMMAND_FUN (do_count)
COMMAND_FUN (do_credits)
COMMAND_FUN (do_deaf)
COMMAND_FUN (do_delet)
COMMAND_FUN (do_delete)
COMMAND_FUN (do_deny)
COMMAND_FUN (do_description)
COMMAND_FUN (do_dirt)
COMMAND_FUN (do_disarm)
COMMAND_FUN (do_disconnect)
COMMAND_FUN (do_down)
COMMAND_FUN (do_drink)
COMMAND_FUN (do_drop)
COMMAND_FUN (do_dump)
COMMAND_FUN (do_east)
COMMAND_FUN (do_eat)
COMMAND_FUN (do_echo)
COMMAND_FUN (do_emote)
COMMAND_FUN (do_enter)
COMMAND_FUN (do_envenom)
COMMAND_FUN (do_equipment)
COMMAND_FUN (do_examine)
COMMAND_FUN (do_exits)
COMMAND_FUN (do_fill)
COMMAND_FUN (do_flag)
COMMAND_FUN (do_flee)
COMMAND_FUN (do_follow)
COMMAND_FUN (do_force)
COMMAND_FUN (do_freeze)
COMMAND_FUN (do_gain)
COMMAND_FUN (do_get)
COMMAND_FUN (do_give)
COMMAND_FUN (do_gossip)
COMMAND_FUN (do_goto)
COMMAND_FUN (do_grats)
COMMAND_FUN (do_group)
COMMAND_FUN (do_groups)
COMMAND_FUN (do_gtell)
COMMAND_FUN (do_guild)
COMMAND_FUN (do_heal)
COMMAND_FUN (do_help)
COMMAND_FUN (do_hide)
COMMAND_FUN (do_holylight)
COMMAND_FUN (do_immtalk)
COMMAND_FUN (do_incognito)
COMMAND_FUN (do_clantalk)
COMMAND_FUN (do_imotd)
COMMAND_FUN (do_inventory)
COMMAND_FUN (do_invis)
COMMAND_FUN (do_kick)
COMMAND_FUN (do_kill)
COMMAND_FUN (do_list)
COMMAND_FUN (do_load)
COMMAND_FUN (do_lock)
COMMAND_FUN (do_log)
COMMAND_FUN (do_look)
COMMAND_FUN (do_memory)
COMMAND_FUN (do_mwhere)
COMMAND_FUN (do_mob)
COMMAND_FUN (do_motd)
COMMAND_FUN (do_mpstat)
COMMAND_FUN (do_mpdump)
COMMAND_FUN (do_murde)
COMMAND_FUN (do_murder)
COMMAND_FUN (do_music)
COMMAND_FUN (do_newlock)
COMMAND_FUN (do_nochannels)
COMMAND_FUN (do_noemote)
COMMAND_FUN (do_nofollow)
COMMAND_FUN (do_noloot)
COMMAND_FUN (do_north)
COMMAND_FUN (do_noshout)
COMMAND_FUN (do_nosummon)
COMMAND_FUN (do_notell)
COMMAND_FUN (do_open)
COMMAND_FUN (do_order)
COMMAND_FUN (do_outfit)
COMMAND_FUN (do_owhere)
COMMAND_FUN (do_pardon)
COMMAND_FUN (do_password)
COMMAND_FUN (do_peace)
COMMAND_FUN (do_pecho)
COMMAND_FUN (do_pick)
COMMAND_FUN (do_play)
COMMAND_FUN (do_pmote)
COMMAND_FUN (do_pour)
COMMAND_FUN (do_practice)
COMMAND_FUN (do_prefi)
COMMAND_FUN (do_prefix)
COMMAND_FUN (do_prompt)
COMMAND_FUN (do_protect)
COMMAND_FUN (do_purge)
COMMAND_FUN (do_put)
COMMAND_FUN (do_quaff)
COMMAND_FUN (do_question)
COMMAND_FUN (do_qui)
COMMAND_FUN (do_quiet)
COMMAND_FUN (do_quit)
COMMAND_FUN (do_quote)
COMMAND_FUN (do_read)
COMMAND_FUN (do_reboo)
COMMAND_FUN (do_reboot)
COMMAND_FUN (do_recall)
COMMAND_FUN (do_recho)
COMMAND_FUN (do_recite)
COMMAND_FUN (do_remove)
COMMAND_FUN (do_rent)
COMMAND_FUN (do_replay)
COMMAND_FUN (do_reply)
COMMAND_FUN (do_report)
COMMAND_FUN (do_rescue)
COMMAND_FUN (do_rest)
COMMAND_FUN (do_restore)
COMMAND_FUN (do_return)
COMMAND_FUN (do_rules)
COMMAND_FUN (do_sacrifice)
COMMAND_FUN (do_save)
COMMAND_FUN (do_say)
COMMAND_FUN (do_scan)
COMMAND_FUN (do_score)
COMMAND_FUN (do_screen)
COMMAND_FUN (do_sell)
COMMAND_FUN (do_set)
COMMAND_FUN (do_shout)
COMMAND_FUN (do_show)
COMMAND_FUN (do_shutdow)
COMMAND_FUN (do_shutdown)
COMMAND_FUN (do_sit)
COMMAND_FUN (do_skills)
COMMAND_FUN (do_sla)
COMMAND_FUN (do_slay)
COMMAND_FUN (do_sleep)
COMMAND_FUN (do_smote)
COMMAND_FUN (do_sneak)
COMMAND_FUN (do_snoop)
COMMAND_FUN (do_socials)
COMMAND_FUN (do_south)
COMMAND_FUN (do_sockets)
COMMAND_FUN (do_spells)
COMMAND_FUN (do_split)
COMMAND_FUN (do_stand)
COMMAND_FUN (do_stat)
COMMAND_FUN (do_steal)
COMMAND_FUN (do_story)
COMMAND_FUN (do_surrender)
COMMAND_FUN (do_switch)
COMMAND_FUN (do_tell)
COMMAND_FUN (do_time)
COMMAND_FUN (do_title)
COMMAND_FUN (do_train)
COMMAND_FUN (do_transfer)
COMMAND_FUN (do_trip)
COMMAND_FUN (do_trust)
COMMAND_FUN (do_typo)
COMMAND_FUN (do_unalias)
COMMAND_FUN (do_unlock)
COMMAND_FUN (do_up)
COMMAND_FUN (do_value)
COMMAND_FUN (do_visible)
COMMAND_FUN (do_violate)
COMMAND_FUN (do_vnum)
COMMAND_FUN (do_wake)
COMMAND_FUN (do_wear)
COMMAND_FUN (do_weather)
COMMAND_FUN (do_west)
COMMAND_FUN (do_where)
COMMAND_FUN (do_who)
COMMAND_FUN (do_whois)
COMMAND_FUN (do_wimpy)
COMMAND_FUN (do_wizhelp)
COMMAND_FUN (do_wizlock)
COMMAND_FUN (do_wizlist)
COMMAND_FUN (do_wiznet)
COMMAND_FUN (do_worth)
COMMAND_FUN (do_yell)
COMMAND_FUN (do_zap)
COMMAND_FUN (do_zecho)
COMMAND_FUN (do_olc)
COMMAND_FUN (do_asave)
COMMAND_FUN (do_alist)
COMMAND_FUN (do_resets)
COMMAND_FUN (do_redit)
COMMAND_FUN (do_aedit)
COMMAND_FUN (do_medit)
COMMAND_FUN (do_oedit)
COMMAND_FUN (do_mpedit)
COMMAND_FUN (do_hedit)
COMMAND_FUN (do_colour)
COMMAND_FUN (do_colourset)
COMMAND_FUN (do_copyove)
COMMAND_FUN (do_copyover)
COMMAND_FUN (do_sedit)
COMMAND_FUN (do_disable)
COMMAND_FUN (do_second)
COMMAND_FUN (do_avedam)
COMMAND_FUN (do_showstats)
COMMAND_FUN (do_compress)
COMMAND_FUN (do_hunt)
COMMAND_FUN (do_info)
COMMAND_FUN (do_announce)
COMMAND_FUN (do_tpgive)
COMMAND_FUN (do_qpgive)
COMMAND_FUN (do_quest)
COMMAND_FUN (do_tpspend)
COMMAND_FUN (do_remor)
COMMAND_FUN (do_remort)
COMMAND_FUN (do_gquest)
COMMAND_FUN (do_explored)
COMMAND_FUN (do_automap)
COMMAND_FUN (do_war)
COMMAND_FUN (do_cedit)
COMMAND_FUN (do_note)
COMMAND_FUN (do_board)
COMMAND_FUN (do_cmdcheck)
COMMAND_FUN (do_cmdedit)
COMMAND_FUN (do_skedit)
COMMAND_FUN (do_gredit)
COMMAND_FUN (do_skcheck)
COMMAND_FUN (do_raedit)
COMMAND_FUN (do_cledit)
COMMAND_FUN (do_home)
COMMAND_FUN (do_bid)
COMMAND_FUN (do_autodamage)
COMMAND_FUN (do_promote)
COMMAND_FUN (do_clist)
COMMAND_FUN (do_cinfo)
COMMAND_FUN (do_donate)
COMMAND_FUN (do_whowas)
COMMAND_FUN (do_arena)
COMMAND_FUN (do_bank)
COMMAND_FUN (do_balance)
COMMAND_FUN (do_clanrecall)
COMMAND_FUN (do_join)
COMMAND_FUN (do_clanadmin)
COMMAND_FUN (do_rpedit)
COMMAND_FUN (do_opedit)
COMMAND_FUN (do_slist)
COMMAND_FUN (do_worship)
COMMAND_FUN (do_dedit)
COMMAND_FUN (do_nogocial)
COMMAND_FUN (do_ooc)
COMMAND_FUN (do_webpass)
COMMAND_FUN (do_spellup)
COMMAND_FUN (do_strkey)
COMMAND_FUN (do_run)
COMMAND_FUN (do_pload)
COMMAND_FUN (do_punload)
COMMAND_FUN (do_buddy)
COMMAND_FUN (do_btalk)
COMMAND_FUN (do_areaset)
COMMAND_FUN (do_roster)
COMMAND_FUN (do_map)
COMMAND_FUN (do_timezone)
COMMAND_FUN (do_crash)
COMMAND_FUN (do_chanedit)
COMMAND_FUN (do_mudedit)
COMMAND_FUN (do_songedit)
COMMAND_FUN (do_mxp)
COMMAND_FUN (do_portal)
COMMAND_FUN (do_imp)
COMMAND_FUN (do_pueblo)
COMMAND_FUN (do_msp)
COMMAND_FUN (do_sskill)
COMMAND_FUN (do_stance)
COMMAND_FUN (do_autostance)
COMMAND_FUN (do_ignore)

// *INDENT-ON*
